"""add name_format to caldav_company_configs

Revision ID: 0011
Revises: 0010_public_holidays
Create Date: 2026-03-28
"""
from alembic import op
import sqlalchemy as sa

revision = '0011_caldav_name_format'
down_revision = '0010_public_holidays'
branch_labels = None
depends_on = None


def upgrade() -> None:
    op.add_column('caldav_company_configs', sa.Column(
        'name_format', sa.String(20), nullable=False, server_default='full'
    ))


def downgrade() -> None:
    op.drop_column('caldav_company_configs', 'name_format')
